package com.siwei.rsmonitoring.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.siwei.rsmonitoring.mapper.TDkYwypXlsxDetailsMapper;
import com.siwei.rsmonitoring.domain.TDkYwypXlsxDetails;
import com.siwei.rsmonitoring.service.ITDkYwypXlsxDetailsService;

/**
 * 地块入库信息业务研判详情明细Service业务层处理
 *
 * @author siwei
 * @date 2025-02-24
 */
@Service
public class TDkYwypXlsxDetailsServiceImpl implements ITDkYwypXlsxDetailsService {
    @Autowired
    private TDkYwypXlsxDetailsMapper tDkYwypXlsxDetailsMapper;

    /**
     * 查询地块入库信息业务研判详情明细
     *
     * @param id 地块入库信息业务研判详情明细主键
     * @return 地块入库信息业务研判详情明细
     */
    @Override
    public TDkYwypXlsxDetails selectTDkYwypXlsxDetailsById(String id) {
        return tDkYwypXlsxDetailsMapper.selectTDkYwypXlsxDetailsById(id);
    }

    @Override
    public TDkYwypXlsxDetails selectTDkYwypXlsxDetailsBySheet(String uploadId, String sheet, String swid) {
        return tDkYwypXlsxDetailsMapper.selectTDkYwypXlsxDetailsBySheet(uploadId, sheet, swid);
    }

    /**
     * 查询地块入库信息业务研判详情明细列表
     *
     * @param tDkYwypXlsxDetails 地块入库信息业务研判详情明细
     * @return 地块入库信息业务研判详情明细
     */
    @Override
    public List<TDkYwypXlsxDetails> selectTDkYwypXlsxDetailsList(TDkYwypXlsxDetails tDkYwypXlsxDetails) {
        return tDkYwypXlsxDetailsMapper.selectTDkYwypXlsxDetailsList(tDkYwypXlsxDetails);
    }

    /**
     * 新增地块入库信息业务研判详情明细
     *
     * @param tDkYwypXlsxDetails 地块入库信息业务研判详情明细
     * @return 结果
     */
    @Override
    public int insertTDkYwypXlsxDetails(TDkYwypXlsxDetails tDkYwypXlsxDetails) {
        return tDkYwypXlsxDetailsMapper.insertTDkYwypXlsxDetails(tDkYwypXlsxDetails);
    }

    /**
     * 修改地块入库信息业务研判详情明细
     *
     * @param tDkYwypXlsxDetails 地块入库信息业务研判详情明细
     * @return 结果
     */
    @Override
    public int updateTDkYwypXlsxDetails(TDkYwypXlsxDetails tDkYwypXlsxDetails) {
        return tDkYwypXlsxDetailsMapper.updateTDkYwypXlsxDetails(tDkYwypXlsxDetails);
    }

    /**
     * 批量删除地块入库信息业务研判详情明细
     *
     * @param ids 需要删除的地块入库信息业务研判详情明细主键
     * @return 结果
     */
    @Override
    public int deleteTDkYwypXlsxDetailsByIds(String[] ids) {
        return tDkYwypXlsxDetailsMapper.deleteTDkYwypXlsxDetailsByIds(ids);
    }

    /**
     * 删除地块入库信息业务研判详情明细信息
     *
     * @param id 地块入库信息业务研判详情明细主键
     * @return 结果
     */
    @Override
    public int deleteTDkYwypXlsxDetailsById(String id) {
        return tDkYwypXlsxDetailsMapper.deleteTDkYwypXlsxDetailsById(id);
    }

    @Override
    public int deleteTDkYwypXlsxDetailsByUploadId(String[] id) {
        return tDkYwypXlsxDetailsMapper.deleteTDkYwypXlsxDetailsByUploadId(id);
    }
}
